org.apache.catalina.core

## Class ApplicationMapping

- java.lang.Object
- - org.apache.catalina.core.ApplicationMapping

-     public class ApplicationMapping
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationMapping(MappingData mappingData)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpServletMapping` | `getHttpServletMapping()`
    `void` | `recycle()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationMapping

          public ApplicationMapping(MappingData mappingData)

  - ### Method Detail

    - #### getHttpServletMapping

          public HttpServletMapping getHttpServletMapping()

    - #### recycle

          public void recycle()

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.